<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Hive/Hive.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d1d/_hive_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Hive.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d1d/_hive_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">// -------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html">    5</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d95/class_hive.html">Hive</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#ab04dff98c60addce9b92b739a49fb871">    7</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#ab04dff98c60addce9b92b739a49fb871">Hive</a>() {}</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#a8bf697e4644dec67e0770fbc6c8f6854">    8</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#a8bf697e4644dec67e0770fbc6c8f6854">~Hive</a>() {}</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#a3d99713552f7945781e5a412e66333cb">   10</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#a3d99713552f7945781e5a412e66333cb">InitOnline</a>( <span class="keywordtype">string</span> ceSetup, <span class="keywordtype">string</span> host = <span class="stringliteral">&quot;&quot;</span> );</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#ae0675afacf71e68e3d76b91d77bd3059">   11</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#ae0675afacf71e68e3d76b91d77bd3059">InitOffline</a>();</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#afaf5b14d5a4fc084f623e7a17f6632fe">   12</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#afaf5b14d5a4fc084f623e7a17f6632fe">InitSandbox</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#a7e6f49cabfd2f0bc8a056a2cb47a0e6a">   14</a></span>    proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#a7e6f49cabfd2f0bc8a056a2cb47a0e6a">IsIdleMode</a>();</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#ad8a27ca68db7ef36e6d682843495451f">   16</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#ad8a27ca68db7ef36e6d682843495451f">SetShardID</a>( <span class="keywordtype">string</span> shard );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#ad4a4170a85bbd2790df0a2cbddccff45">   17</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#ad4a4170a85bbd2790df0a2cbddccff45">SetEnviroment</a>( <span class="keywordtype">string</span> env );</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#a8f87b66869c4fc6411f62165decbe1ce">   19</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#a8f87b66869c4fc6411f62165decbe1ce">CharacterSave</a>( Man player );</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#abf8eb778a303aa9e752eec4bba1ab857">   20</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#abf8eb778a303aa9e752eec4bba1ab857">CharacterKill</a>( Man player );</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#a2b62449d53aa401c496b78f667850f93">   21</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#a2b62449d53aa401c496b78f667850f93">CharacterExit</a>( Man player );</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d7/d95/class_hive.html#a097ed4daca445b2d683d78da05ae4cb0">   23</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d95/class_hive.html#a097ed4daca445b2d683d78da05ae4cb0">CallUpdater</a>( <span class="keywordtype">string</span> content );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>};</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d3/d1d/_hive_8c.html#a8a3c824cbe55bf3e038f0bb4e0ccd096">   26</a></span>proto native <a class="code hl_class" href="../../d7/d95/class_hive.html">Hive</a> <a class="code hl_function" href="../../d3/d1d/_hive_8c.html#a8a3c824cbe55bf3e038f0bb4e0ccd096">CreateHive</a>();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d3/d1d/_hive_8c.html#a9fa701d2ee752ff6485a0c5d2cb7dd9d">   27</a></span>proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d1d/_hive_8c.html#a9fa701d2ee752ff6485a0c5d2cb7dd9d">DestroyHive</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d3/d1d/_hive_8c.html#ab4f0de3aabf655e0407ff151a0f15580">   28</a></span>proto native <a class="code hl_class" href="../../d7/d95/class_hive.html">Hive</a> <a class="code hl_function" href="../../d3/d1d/_hive_8c.html#ab4f0de3aabf655e0407ff151a0f15580">GetHive</a>();</div>
<div class="ttc" id="a_hive_8c_html_a8a3c824cbe55bf3e038f0bb4e0ccd096"><div class="ttname"><a href="../../d3/d1d/_hive_8c.html#a8a3c824cbe55bf3e038f0bb4e0ccd096">CreateHive</a></div><div class="ttdeci">proto native Hive CreateHive()</div></div>
<div class="ttc" id="a_hive_8c_html_a9fa701d2ee752ff6485a0c5d2cb7dd9d"><div class="ttname"><a href="../../d3/d1d/_hive_8c.html#a9fa701d2ee752ff6485a0c5d2cb7dd9d">DestroyHive</a></div><div class="ttdeci">proto native void DestroyHive()</div></div>
<div class="ttc" id="a_hive_8c_html_ab4f0de3aabf655e0407ff151a0f15580"><div class="ttname"><a href="../../d3/d1d/_hive_8c.html#ab4f0de3aabf655e0407ff151a0f15580">GetHive</a></div><div class="ttdeci">proto native Hive GetHive()</div></div>
<div class="ttc" id="aclass_hive_html"><div class="ttname"><a href="../../d7/d95/class_hive.html">Hive</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1d/_hive_8c_source.html#l00005">Hive.c:6</a></div></div>
<div class="ttc" id="aclass_hive_html_a097ed4daca445b2d683d78da05ae4cb0"><div class="ttname"><a href="../../d7/d95/class_hive.html#a097ed4daca445b2d683d78da05ae4cb0">Hive::CallUpdater</a></div><div class="ttdeci">proto native void CallUpdater(string content)</div></div>
<div class="ttc" id="aclass_hive_html_a2b62449d53aa401c496b78f667850f93"><div class="ttname"><a href="../../d7/d95/class_hive.html#a2b62449d53aa401c496b78f667850f93">Hive::CharacterExit</a></div><div class="ttdeci">proto native void CharacterExit(Man player)</div></div>
<div class="ttc" id="aclass_hive_html_a3d99713552f7945781e5a412e66333cb"><div class="ttname"><a href="../../d7/d95/class_hive.html#a3d99713552f7945781e5a412e66333cb">Hive::InitOnline</a></div><div class="ttdeci">proto native void InitOnline(string ceSetup, string host=&quot;&quot;)</div></div>
<div class="ttc" id="aclass_hive_html_a7e6f49cabfd2f0bc8a056a2cb47a0e6a"><div class="ttname"><a href="../../d7/d95/class_hive.html#a7e6f49cabfd2f0bc8a056a2cb47a0e6a">Hive::IsIdleMode</a></div><div class="ttdeci">proto native bool IsIdleMode()</div></div>
<div class="ttc" id="aclass_hive_html_a8bf697e4644dec67e0770fbc6c8f6854"><div class="ttname"><a href="../../d7/d95/class_hive.html#a8bf697e4644dec67e0770fbc6c8f6854">Hive::~Hive</a></div><div class="ttdeci">private void ~Hive()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1d/_hive_8c_source.html#l00008">Hive.c:8</a></div></div>
<div class="ttc" id="aclass_hive_html_a8f87b66869c4fc6411f62165decbe1ce"><div class="ttname"><a href="../../d7/d95/class_hive.html#a8f87b66869c4fc6411f62165decbe1ce">Hive::CharacterSave</a></div><div class="ttdeci">proto native void CharacterSave(Man player)</div></div>
<div class="ttc" id="aclass_hive_html_ab04dff98c60addce9b92b739a49fb871"><div class="ttname"><a href="../../d7/d95/class_hive.html#ab04dff98c60addce9b92b739a49fb871">Hive::Hive</a></div><div class="ttdeci">private void Hive()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d1d/_hive_8c_source.html#l00007">Hive.c:7</a></div></div>
<div class="ttc" id="aclass_hive_html_abf8eb778a303aa9e752eec4bba1ab857"><div class="ttname"><a href="../../d7/d95/class_hive.html#abf8eb778a303aa9e752eec4bba1ab857">Hive::CharacterKill</a></div><div class="ttdeci">proto native void CharacterKill(Man player)</div></div>
<div class="ttc" id="aclass_hive_html_ad4a4170a85bbd2790df0a2cbddccff45"><div class="ttname"><a href="../../d7/d95/class_hive.html#ad4a4170a85bbd2790df0a2cbddccff45">Hive::SetEnviroment</a></div><div class="ttdeci">proto native void SetEnviroment(string env)</div></div>
<div class="ttc" id="aclass_hive_html_ad8a27ca68db7ef36e6d682843495451f"><div class="ttname"><a href="../../d7/d95/class_hive.html#ad8a27ca68db7ef36e6d682843495451f">Hive::SetShardID</a></div><div class="ttdeci">proto native void SetShardID(string shard)</div></div>
<div class="ttc" id="aclass_hive_html_ae0675afacf71e68e3d76b91d77bd3059"><div class="ttname"><a href="../../d7/d95/class_hive.html#ae0675afacf71e68e3d76b91d77bd3059">Hive::InitOffline</a></div><div class="ttdeci">proto native void InitOffline()</div></div>
<div class="ttc" id="aclass_hive_html_afaf5b14d5a4fc084f623e7a17f6632fe"><div class="ttname"><a href="../../d7/d95/class_hive.html#afaf5b14d5a4fc084f623e7a17f6632fe">Hive::InitSandbox</a></div><div class="ttdeci">proto native void InitSandbox()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_01db04366583bda862c20be92d4334df.html">Hive</a></li><li class="navelem"><a class="el" href="../../d3/d1d/_hive_8c.html">Hive.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
